Description of the security update for the .NET Framework 1.1 Service Pack 1 for Windows XP and Windows 2000: July 10, 2007

INTRODUCTION
Microsoft has released security bulletin MS07-040. The security bulletin contains all the relevant information about the security update. This information includes file manifest information and deployment options. To view the complete security bulletin, visit one of the following Microsoft Web sites:

Known issues

In the following section are the known issues with this security update. If you have problems with this security update that are not addressed by these known issues, no-charge support is available for consumers by calling 1-866-PCSAFETY in the United States and Canada or by contacting your local Microsoft subsidiary. For more information about how to contact your local Microsoft subsidiary for security update support issues, visit the International Support Web site:Enterprise customers can obtain support for security updates through their usual support contacts.
  • For more information about installation issues with the Microsoft .NET Framework 1.1, click the following article numbers to view the articles in the Microsoft Knowledge Base:
    934711 Error message when you restart the computer after you uninstall a security update for the .NET Framework 1.1: "This application has requested the Runtime to terminate in an unusual way"
    939160 The file version is rolled back to the version that was installed by the last service pack when you remove some security updates for the .NET Framework 1.1 or for the .NET Framework 1.0
    940332 Error message when you install an update for the .NET Framework 1.1 or for the .NET Framework 1.0: "The upgrade patch cannot be installed by the Windows Installer service"
    944925 FIX: You may receive an exception error message when you serialize an ObjRef object between the client computer and the server computer after you install the MS07-040 update on only the client computer
  • For more information about installation issues that may occur when you install the security update together with the Microsoft .NET Framework 2.0, click the following article number to view the article in the Microsoft Knowledge Base:
    923100 When you try to install an update for the .NET Framework 1.0, 1.1, or 2.0, you may receive Windows Update error code "0x643" or Windows Installer error code "1603"

Update removal information

To remove this security update, use the Add or Remove Programs item in Control Panel.

Prerequisites

  • To install this security update, you must have Microsoft Windows Installer 3.1 installed on your computer. To obtain the latest version of Windows Installer for your computer, visit the following Microsoft Web site:
  • To install this security update, your computer must be running one of the following operating systems:
    • Microsoft Windows XP with Service Pack 2 (SP2) or Service Pack 3 (SP3)
    • An x64-based version of Windows Server 2003
    • An x64-based version of Windows Server 2003 with Service Pack 2 (SP2)
    • An Itanium-based version of Windows Server 2003 with SP1 or SP2
    • An x64-based version of Windows XP Professional
    • An x64-based version of Windows XP Professional with Service Pack 2 (SP2)
    • Microsoft Windows 2000 with Service Pack 4 (SP4)
update security_patch security_update security bug flaw vulnerability malicious attacker exploit registry unauthenticated buffer overrun overflow specially-formed scope specially-crafted denial of service DoS TSE WinNT Win2000
गुण

आलेख ID: 928366 - पिछली समीक्षा: 09/30/2011 02:23:00 - संशोधन: 5.0

Microsoft .NET Framework 1.1 Service Pack 1

  • kbresolve kbexpertisebeginner kbqfe kbsecurity kbsecbulletin kbsecvulnerability kbbug kbfix KB928366
प्रतिक्रिया